Parent priority does not update when subtasks are closed

2013-04-10 17:18 - Wouter Lievens

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The priority of a parent task is automatically set to the maximum priority of all its subtasks. I think it should be set to the maximum

priority of all its open subtasks. Does that make sense?

Environment:

  Redmine version                          2.2.3.stable

  Ruby version                             1.9.3 (x86_64-linux)

  Rails version                            3.2.12

  Environment                              production

  Database adapter                         Mysql2

Related issues:

Is duplicate of Redmine - Defect #5880: Only consider open subtasks when comp... Closed 2010-07-14

History

#1 - 2013-04-10 17:24 - Dipan Mehta

I think it depends on the individual workflow and how priority is used.

For example, priority of sub-task might imply priority of the that task among all the tasks under that parent issue, but the overall parent task may still

be 'normal'

#2 - 2013-04-18 22:40 - Emmanuel Serau

It's a problem that cannot be solved with workflow management.

The Parent issue's priority should (must) set to the highest priority of the sub-tasks.

#3 - 2013-05-03 23:05 - Emmanuel Serau

Definitely an issue there.

Please raise the priority and include it into next release.

Thanks

#4 - 2013-05-04 04:08 - Mischa The Evil

- Subject changed from Parent priority does not update when subtasks as closed to Parent priority does not update when subtasks are closed

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #5880.
